<template>
  <v-navigation-drawer
    v-model="inputValue"
    right
    temporary
    fixed
  />
</template>

<script>
// Utilities
import {
  mapMutations,
  mapState
} from 'vuex'

export default {
  data: () => ({
  }),
  computed: {
    ...mapState('app', ['image', 'color']),
    inputValue: {
      get () {
        return this.$store.state.app.notification
      },
      set (val) {
        this.setNotification(val)
      }
    }
  },
  methods: {
    ...mapMutations('app', ['setNotification', 'toggleNotification'])
  }
}
</script>

<style lang="scss"></style>
